[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

yum update dependency today



In the past hour when trying to do a yum update there are a load of new updates to install but there is a dependency problem... the last page of the output is:

---> Package libstdc++.i386 0:3.4.3-22.fc3 set to be updated
---> Downloading header for gcc-objc to pack into transaction set.
gcc-objc-3.4.3-22.fc3.i38 100% |=========================|  29 kB    00:00
---> Package gcc-objc.i386 0:3.4.3-22.fc3 set to be updated
---> Downloading header for libgnat to pack into transaction set.
libgnat-3.4.3-22.fc3.i386 100% |=========================|  26 kB    00:00
---> Package libgnat.i386 0:3.4.3-22.fc3 set to be updated
---> Downloading header for libobjc to pack into transaction set.
libobjc-3.4.3-22.fc3.i386 100% |=========================|  26 kB    00:00
---> Package libobjc.i386 0:3.4.3-22.fc3 set to be updated
---> Downloading header for libmudflap to pack into transaction set.
libmudflap-4.0.0-0.41.fc3 100% |=========================|  14 kB    00:00
---> Package libmudflap.i386 0:4.0.0-0.41.fc3 set to be updated
---> Downloading header for gcc to pack into transaction set.
gcc-3.4.3-22.fc3.i386.rpm 100% |=========================|  35 kB    00:00
---> Package gcc.i386 0:3.4.3-22.fc3 set to be updated
---> Downloading header for libgfortran to pack into transaction set.
libgfortran-4.0.0-0.41.fc 100% |=========================|  14 kB    00:00
---> Package libgfortran.i386 0:4.0.0-0.41.fc3 set to be updated
--> Running transaction check
--> Processing Dependency: gcc = 3.4.2 for package: libtool
--> Finished Dependency Resolution
Error: Missing Dependency: gcc = 3.4.2 is needed by package libtool


Is there a packaging error I wonder ? The system is fc3 with all updates complete as of 12 hours ago.


Mike


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]